Subject: Re: [dhcwg] dhcp6 verndor class option

From: mao shanxiang <[email-masked]>
Date: Wed, 01 Sep 2004 10:25:04 +0530

Hi Bernie,

if relay includes such option, what is the behavior of the server? the
server can return information in the Relay-Reply, but what is the usage for
server to analyze such option info? give different policy?

can you please clarify me?

Regards,
Emily

----- Original Message ----- 
From: "Bernie Volz" <[email-masked]>
To: "'Keshava'" <[email-masked]>; <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, September 01, 2004 7:01 AM
Subject: RE: [dhcwg] dhcp6 verndor class option

If there's relay specific information that could be used by a server (or
other relay), there is no reason the relay can't include this in its
Relay-Forw message (and the server return information in the Relay-Reply).

Note that Appendix A, Appearance of Options in Message Types, indicates that
these are valid:

            Status  Rap. User  Vendor Vendor Inter. Recon. Recon.
             Code  Comm. Class Class  Spec.    ID    Msg.  Accept
   R-forw.                 *     *      *      *
   R-repl.                 *     *      *      *

- Bernie

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Keshava
Sent: Friday, August 27, 2004 10:10 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: [dhcwg] dhcp6 verndor class option

Hi,
    Can you please clarify  in he RFC 3315 (DHCP6)

   "Appearance of Options in Message Types" section mentions that the dhcp6
relay should support
     vendor class option.

    But in the message processing in the "Section 22.16 Vendor Class Option"
does not mention any
    thing about this for relay . It only mentions about how the client
should process this.

     Can some one please clarify this  what should be done for dhcp6 relay ?

regards,
keshava

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz" <[email-masked]>
Date: Wed, 1 Sep 2004 07:55:40 -0400

Well, as we have no DHCPv6 option to carry a subscriber ID, perhaps the
relay wants to communicate that to the server? So, it could send this in the
vendor-specific option.

Or, if the relay is on a switch, it could include the port on which the
client is located.

There's all sorts of possibilities.

- Bernie

> From: mao shanxiang [mailto:[email-masked]] 
> Sent: Wednesday, September 01, 2004 12:55 AM
> To: Bernie Volz; 'Keshava'; [email-masked]
> Subject: Re: [dhcwg] dhcp6 verndor class option
> 
> 
> Hi Bernie,
> 
> if relay includes such option, what is the behavior of the 
> server? the server can return information in the Relay-Reply, 
> but what is the usage for server to analyze such option info? 
> give different policy?
> 
> If there's relay specific information that could be used by a 
> server (or other relay), there is no reason the relay can't 
> include this in its Relay-Forw message (and the server return 
> information in the Relay-Reply).
> 
> Note that Appendix A, Appearance of Options in Message Types, 
> indicates that these are valid:
> 
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Keshava
>    "Appearance of Options in Message Types" section mentions 
> that the dhcp6 relay should support
>      vendor class option.
> 
>     But in the message processing in the "Section 22.16 
> Vendor Class Option" does not mention any
>     thing about this for relay . It only mentions about how 
> the client should process this.
>

---

From: "Bernie Volz" <[email-masked]>
Date: Wed, 1 Sep 2004 11:09:00 -0400

This is completely up to the server. See DHCP Relay Agent Information Option
(RFC 3046) for more details as to how this is may be used in DHCPv4. This
really is no different for DHCPv6, just that the way the information is
carried is different and is vendor-specific -- though likely there will be
standardized relay agent options to carry information in the future.

- Bernie

> On Behalf Of mao shanxiang